
Almirah.Doc - Bug #24

Markdown table at the end of specification is not rendered

02/01/2024 08:45 PM - Oleksandr Ivanov

Status: Closed Start date: 02/01/2024

Priority: Normal Due date: 02/02/2024

Assignee: Oleksandr Ivanov % Done: 100%

Category:  Estimated time: 0:30 hour

Target version: 0.0.7 Spent time: 0:30 hour

Description

During implementation of the Feature #21 the following was observed:

If a specification finishes with a Markdown table this table is not rendered in the html version.

How to fix - the following block is missed after parsing loop in the specification class:

# Finalize non-closed elements

if @tempMdTable

    self.docItems.append(@tempMdTable)

        @tempMdTable = nil

    end

    if @tempMdList

        self.docItems.append(@tempMdList)

        @tempMdList = nil

    end

History

#1 - 02/01/2024 08:46 PM - Oleksandr Ivanov

- Status changed from New to In Progress

#2 - 02/01/2024 08:46 PM - Oleksandr Ivanov

- Due date set to 02/02/2024

- Assignee set to Oleksandr Ivanov

- Target version set to 0.0.7

- Estimated time set to 0:30 h

#3 - 02/08/2024 09:58 PM - Oleksandr Ivanov

- Status changed from In Progress to Closed

Fixed in (commit:a049085f6490397d660ea8938d4d000bd797a719)

#4 - 02/08/2024 10:00 PM - Oleksandr Ivanov

- Status changed from Closed to Feedback

#5 - 02/08/2024 10:02 PM - Oleksandr Ivanov

- Status changed from Feedback to Closed

#6 - 06/23/2024 10:09 PM - Oleksandr Ivanov

- % Done changed from 0 to 100
